<section id="traveller">
    <div class="container-fluid bgclr">
        <ul class="breadcrumb reset">
            <li>
              <a [routerLink]="['/side-menu',{outlets:{sidebar:'location'}}]">Region ></a>
            </li>
            <li class="">
              Add State
            </li>
          </ul>
        <div class="card">
            <div class="card-body">
                <div class="col-md-6">
                    <form [formGroup]="addStateForm" (ngSubmit)="onSubmit()">
                        <div class="form-group">
                            <label for="">Country:</label>
                            <select  class="form-control" [(ngModel)]="selectedLevel" (change)="selected()" formControlName="country" [ngClass]="{ 'is-invalid': submitted && fval.country.errors }">
                                <option [attr.data-index]="i" value="{{country._id}}" *ngFor="let country of countries; let i = index">{{country.name}}</option>
                                <div *ngIf="submitted && fval.country.errors" class="invalid-feedback">
                                    <div *ngIf="fval.country.errors.required">
                                   Country name is required
                                    </div>
                                     
                                    </div>
                               
                            </select>
                            
                        </div>
                        <div class="form-group">
                            <label for="">State:</label>
                            <input  class="form-control" formControlName="name" [ngClass]="{ 'is-invalid': submitted && fval.name.errors }">
                            <div *ngIf="submitted && fval.name.errors" class="invalid-feedback">
                                <div *ngIf="fval.name.errors.required">
                               State name is required
                                </div>
                                 
                                </div>
                        </div>
                        <div class="form-group">
                            <label for="">Status:</label>
                            <select  class="form-control" formControlName="status">
                                <option value="1">Active</option>
                                <option value="0">Inactive</option>
                             </select>   
                        </div>
                        <button type="submit" class="btn btn-success" [disabled]="!addStateForm.valid">Submit</button>
                    </form>
                </div>
            </div>

        </div>
    </div>
</section>